/*
** Module   : Remotable.java
** Abstract : An interface for handles supporting the SERVER attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20130813 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Defines the SERVER attribute used by the async request resource and the procedure resource.
 */
public interface Remotable
{
   /**
    * Returns a handle to the app server in which the procedure is ran.
    * 
    * @return   See above
    */
   public handle getServerHandle();
}
